Download it now!
Bug 129836 - UI: Alphabetize the styles in the dropdown boxes in the Styles section of "Footnotes/Endnotes Settings" dialog
Summary: UI: Alphabetize the styles in the dropdown boxes in the Styles section of "Fo...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Footnote-Endnote-Properties
  Show dependency treegraph
 
Reported: 2020-01-06 16:02 UTC by sdc.blanco
Modified: 2020-05-11 12:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (35.51 KB, image/png)
2020-01-27 11:17 UTC, Heiko Tietze
Details
Nonalphabetical order for paragraph styles setting (102.56 KB, image/jpeg)
2020-05-08 08:58 UTC, Dieter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-01-06 16:02:43 UTC
Tools > Footnotes and Endnotes - Styles section (for each tab)

For all the styles shown in the dropdown boxes -- 
  -- is there a logic in the ordering of style choices (that I have not appreciated) -- otherwise suggest alphabetized order (or another logic).

For Footnote tab, Page is greyed out.  If it is never used, isn't it better not to mention it?
Comment 1 sdc.blanco 2020-01-06 16:12:38 UTC
(In reply to sdc.blanco from comment #0)
> For Footnote tab, Page is greyed out.  If it is never used, isn't it better
> not to mention it?
Ignore. Answer is:  Appears if "End of document" is chosen
Comment 2 Heiko Tietze 2020-01-07 09:11:57 UTC
Don't see any good reason for this particular sorting.
Comment 3 Thomas Lendo 2020-01-07 21:59:01 UTC
Sorting by name would indeed simplify the handling of the list of styles.
Sorting should be done per locale.
Comment 4 Commit Notification 2020-01-09 15:21:17 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/17747ef473d71dc3aa62242f4ddb5a94aa0da983

Resolves tdf#129836 - Alphabetize styles in the footnotes/endnotes dialog

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Dieter 2020-01-13 07:14:04 UTC
Tested with

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 350d25da375f221edfa37309324ce3c68cf297ef
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

Following styles are alphabetized:
Text Area
Footnote / Endote Area

Following styles are not alphabetized
Paragraph
Page

Is this intended, Heiko?
Comment 6 Heiko Tietze 2020-01-13 08:59:21 UTC
(In reply to Dieter Praas from comment #5)
> Following styles are not alphabetized
> Paragraph
> Page
> 
> Is this intended, Heiko?

Not intended, it's just a different method. Let's see if I can find where these two are filled...
Comment 7 Commit Notification 2020-01-14 08:45:47 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2b3c96a03f2e3c12148ec00c93f06e093d384db9

Related tdf#129836 - Alphabetize styles in the footnotes/endnotes dialog

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2020-01-14 08:55:39 UTC
(In reply to Dieter Praas from comment #5)
> Following styles are not alphabetized
> Paragraph
> Page

Fixed now
Comment 9 Dieter 2020-01-27 07:22:32 UTC
(In reply to Heiko Tietze from comment #8)
> (In reply to Dieter Praas from comment #5)
> > Following styles are not alphabetized
> > Paragraph
> > Page
> 
> Fixed now

Not in

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded
Comment 10 Heiko Tietze 2020-01-27 11:17:57 UTC
Created attachment 157444 [details]
Screenshot

(In reply to Dieter Praas from comment #9)
> (In reply to Heiko Tietze from comment #8)
> Not in
> Version: 7.0.0.0.alpha0+ (x64)
> Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b

Version: 7.0.0.0.alpha0+
Build ID: ed41cf71d09878766f7883e64efccc1dbaed13eb
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Switching the locale makes no difference.
Comment 11 Dieter 2020-05-08 08:58:39 UTC
Created attachment 160523 [details]
Nonalphabetical order for paragraph styles setting

Tested again with

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c337d1d3831ce9d2c7dc1cbff713f4ac49d6ac
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Fixed for Text Area und Footnote Area, but not for Paragraph (see screenshot)
Comment 12 Heiko Tietze 2020-05-11 12:24:40 UTC
(In reply to Dieter from comment #11)
> Fixed for Text Area und Footnote Area, but not for Paragraph (see screenshot)

Would create a new ticket then.